---
title: "Retrieve Sender"
source_url: https://docs.rapyd.net/en/retrieve-sender.html
lang: en
---

# Retrieve Sender

Retrieve details of a payout sender.

> **Note:**
>
> The example response for individual includes additional fields for the **ca_general_bank** payout method. The response for company includes an additional field for the **us_ach_bank** payout method.

### Parameters

### Request Path Parameters

- - sender
  - ID of the sender. String starting with **sender_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - address
  - The address of the sender - street and number.
- - city
  - City where the sender is located.
- - company_name
  - Name of the sender company. Relevant when `entity_type` is **company**.
- - country
  - Country of the sender. Two-letter ISO 3166-1 ALPHA-2 code.
- - currency
  - Currency that the sender is paying with. Three-letter ISO 4217 code.
- - date_of_birth
  - The date of birth of the sender. Relevant when `entity_type` is **individual**.
- - entity_type
  - Type of entity. One of the following values:

    - **company**
    - **individual**
- - first_name
  - First name of the sender. Relevant when `entity_type` is **individual**.
- - id
  - ID of the Sender object. String starting with **sender_**.
- - identification_type
  - Type of identification document for the sender. When `entity_type` is **company**, this field must be **company_registered_number**. When `entity_type` is **individual**, one of the following values:

    - **drivers_license**
    - **identification_id**
    - **international_passport**
    - **residence_permit**
    - **social_security**
    - **work_permit**
- - identification_value
  - Identification number on the document mentioned in `identification_type`.
- - last_name
  - Last name of the sender. Relevant when `entity_type` is **individual**.
- - name
  - Name of the sender. Relevant when `entity_type` is **company**.
- - postcode
  - Postal code of the sender.
- - state
  - State where the sender is located.

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string senderId = "sender_87a87cfef195f2e9418b7c582de653bc";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/payouts/sender/{senderId}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/payouts/sender/sender_87a87cfef195f2e9418b7c582de653bc'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/payouts/sender/sender_87a87cfef195f2e9418b7c582de653bc');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      sender_id = 'sender_87a87cfef195f2e9418b7c582de653bc' 
      results = make_request(method='get',
                             path=f'/v1/payouts/sender/{sender_id}')
      pprint(results)
      ```

- /v1/payouts/sender/:sender

- Retrieve Sender - individual
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payouts/sender/sender_87a87cfef195f2e9418b7c582de653bc' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "1ee14de2-8c61-4967-a16c-fb61bc41098e"
      },
      "data": {
          "id": "sender_87a87cfef195f2e9418b7c582de653bc",
          "last_name": "Smith",
          "first_name": "Jane",
          "country": "CA",
          "entity_type": "individual",
          "address": "1 Second Street",
          "name": "Jane Smith",
          "date_of_birth": "12/12/2000",
          "postcode": "12345",
          "city": "Montreal",
          "state": "Quebec",
          "currency": "USD",
          "identification_type": "identification_id",
          "identification_value": "987654321"
      }
  }
  ```

- Retrieve Sender - company
- ```curl
  curl -X get
  https://sandboxapi.rapyd.net/v1/payouts/sender/sender_8897b29d6e423fa5a16e9acec4a54a26
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "aa8b5c9b-86c6-4fea-a684-4cd568e1358d"
      },
      "data": {
          "id": "sender_8897b29d6e423fa5a16e9acec4a54a26",
          "country": "US",
          "entity_type": "company",
          "name": "Four Star Professional Services",
          "company_name": "Four Star Professional Services",
          "currency": "USD",
          "identification_type": "company_registered_number",
          "identification_value": "0123456789",
          "purpose_code": "Transfer"
      }
  }
  ```
